%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary:	Password manager for GNOME 2
Name:		revelation
Version:	0.4.7
Release:	5%{?dist}
License:	GPL
Group:		Applications/Productivity
Source0:	ftp://oss.codepoet.no/revelation/revelation-0.4.7.tar.bz2
URL:		http://oss.codepoet.no/revelation/
Requires:	python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires:	python-crypto >= 2.0
Requires:	pygtk2 >= 2.4
Requires:	gnome-python2-gconf >= 2.0
Requires:	gnome-python2-gnomevfs >= 2.6
Requires:	gnome-python2-applet
Requires:	cracklib-dicts
BuildRequires:	python >= 2.2
BuildRequires:	python-devel >= 2.3
BuildRequires:	pygtk2-devel >= 2.4
BuildRequires:	gnome-python2-gconf >= 2.0
BuildRequires:	libgnomeui-devel >= 2.8
BuildRequires:	gnome-keyring-devel >= 0.4.0
BuildRequires:	desktop-file-utils
BuildRequires:	python-crypto >= 2.0
BuildRequires:	cracklib
BuildRequires:	cracklib-dicts
BuildRequires:	gnome-panel-devel gnome-python2-extras gnome-python2-desktop
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot-%(%{__id_u} -n)
Requires(post):         GConf2 shared-mime-info desktop-file-utils
Requires(preun):        GConf2
Requires(postun):       shared-mime-info desktop-file-utils

%description
Revelation is a password manager. It organizes accounts in
a tree structure, and stores them as AES-encrypted XML files.

%prep
%setup -q

%build
%configure --disable-desktop-update --disable-mime-update --with-cracklib-dict=/usr/share/cracklib/pw_dict
make %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
# we use cracklib dicts, so we can remove these
rm $RPM_BUILD_ROOT/%{_datadir}/%{name}/pwdict*

desktop-file-install \
  --vendor fedora \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &> /dev/null || :


%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &> /dev/null || :


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/revelation/
%{_datadir}/icons/hicolor/??x??/mimetypes/gnome-mime-application-x-revelation.png
%{_datadir}/icons/hicolor/*/apps/%{name}*.png
%{_datadir}/icons/hicolor/scalable/filesystems/%{name}*
%{python_sitearch}/revelation/gnomemisc.so
%{python_sitearch}/revelation/crack.so
%dir %{python_sitearch}/revelation/
%dir %{python_sitearch}/revelation/datahandler/
%{_datadir}/mime/packages/*
%{python_sitearch}/revelation/*.py*
%{python_sitearch}/revelation/datahandler/*.py*
%{_libdir}/bonobo/servers/GNOME_RevelationApplet.server
%{_libexecdir}/revelation-applet

%changelog
* Thu Sep 07 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.4.7-5
- Don't ghost pyo files (#205432)

* Tue Aug 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.4.7-4
- Rebuild for Fedora Extras 6

* Mon Feb 15 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>  0.4.7-3
- BR gnome-python2-desktop now needed

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>
- Rebuild for Fedora Extras 5

* Mon Feb 06 2006 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.7-1
- update to 0.4.7

* Fri Oct 14 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.5-3
- use cracklib-dicts correctly (#170742)
- don't ship revelation dicts

* Mon Aug 27 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.5-2
- Require gnome-python2-applet (#166987)

* Mon Aug 27 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.5-1
- Update to 0.4.5
- add patch revelation-dont_check_everything.patch

* Fri Aug 19 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.4-2
- rebuild

* Mon Aug 08 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.4-1
- Update to 0.4.4
- Use dist-macro
- New BR gnome-panel-devel  gnome-python2-extras

* Fri May 06 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.4.3-3
- Update the GTK+ theme icon cache on (un)install

* Sat Apr 02 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.4.3-2
- Devel rebuild

* Sat Apr 02 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.4.3-1
- Update to 0.4.3
- BR words, cracklib, Req words
- Use configure para -with-cracklib-dict=/usr/share/dict/

* Wed Mar 30 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.4.2-1
- Update to 0.4.2

* Tue Mar 01 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.4.0-1
- Update to 0.4.0 - depends on gtk 2.4 now
- Uses configure now
- add BR pygtk2-devel gnome-keyring-devel
- use shared-mime-info and desktop-file-utils
- Remove unneeded explicit Requires
- not a noarch package anymore
- on x86_64 it currently installs and needs authmanager.so in %%{python_sitelib}
  will report upstream

* Wed Sep 29 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.4-0.fdr.1
- Update to 0.3.4

* Tue Aug 31 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.3-0.fdr.1
- Update to 0.3.3

* Thu Aug 11 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.2-0.fdr.2
- Own python_sitelib/revelation/

* Wed Aug 11 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.2-0.fdr.1
- Update to 0.3.2
- convert package to noarch
- convert parts to match python spec-file template

* Sat Jul 17 2004 Thorsten Leemhuis <fedora at leemhuis dot info> 0:0.3.0-0.fdr.1
- New Spec File based on Matthew Hall and Dags SPEC Files -- Thanks to them
- Fix Gconf handling
